@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Vaskemaskine Reservationer - Vis
@endsection

@section("path")
    <a href="{{ route('washing-reservations.index') }}" class="text-white">Vis Vaskemaskine Reservationer</a> /
@endsection

@section("content")
    <?php
    date_default_timezone_set('Europe/Copenhagen');
    ?>
    <table class="tbl mt-0">
        <tr>
            <th>Lokation</th>
            <th>Vaskemaskine</th>
            <th>Tidspunkt</th>
            <th>Bruger</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($reservations as $reservation)
            @if(date('Y-m-d H:i:s', strtotime('-1 hour')) < $reservation->time)
                <tr>
                    <td>{{ \App\Location::query()->find(\App\WashingMachine::query()->find($reservation->machine_id)->location_id)->name }}</td>
                    <td>{{ \App\WashingMachine::query()->find($reservation->machine_id)->name }}</td>
                    <td>{{ \Illuminate\Support\Facades\Date::createFromTimeStamp(strtotime($reservation->time))->format('d/m/Y \k\l\. H:i') }}</td>
                    <td>{{ ucfirst(\App\User::query()->find($reservation->user_id)->name_first) }} {{ ucfirst(\App\User::query()->find($reservation->user_id)->name_last) }}</td>
                    <td><form method="post" action="{{ route('washing-reservations.destroy', ['washing_reservation' => $reservation]) }}" class="w-100 nostyle">
                            @csrf
                            @method("delete")

                            <button class="w-100 nostyle" onclick="return confirm('Are you sure you want to delete?');" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                        </form>
                    </td>
                </tr>
            @endif
        @endforeach
    </table>

    {{ $reservations->links() }}


    <script>
        $('#search').on('keyup', function () {
            $value = $(this).val();
            $checkboxValue = $( "input:checked" ).val();
            $.ajax({
                type: 'get',
                url: '{{route('washing-reservations.search')}}',
                data: {'search':$value, 'isCheck': $checkboxValue},
                success:function (data) {
                    $('tbody').html(data);
                },
                error:function (data) {
                    console.log(data);
                }
            });
        })
    </script>



    <script>
        $(document).ready(function(){
            $("input:checkbox").on('click', function() {
                var $box = $(this);
                if ($box.is(":checked")) {
                    var group = "input:checkbox[name='" + $box.attr("name") + "']";
                    $(group).prop("checked", false);
                    $box.prop("checked", true);
                } else {
                    $box.prop("checked", false);
                }
            });
        });
    </script>




@endsection
